%global pkgdatadir	%_datadir/%name

%{!?release_func:%global release_func() %1%{?dist}}

Name:		tinyca2
Version:	0.7.5
Release:	%release_func 6
Summary:	Simple graphical userinterface to manage a small CA

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://tinyca.sm-zone.net/
Source0:	http://tinyca.sm-zone.net/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch

BuildRequires:	gettext desktop-file-utils
Requires:	openssl tar zip

# filter out the private symbols and do not export them
%global reqsed		sed -e '/perl(\\(GUI\\|HELPERS\\|KEY\\|TCONFIG\\|OpenSSL\\|CA\\|CERT\\|REQ\\)[:)]/d;p'
%global __perl_requires sh -c "%__perl_requires | %reqsed"
%global __perl_provides sh -c "%__perl_provides | %reqsed"


%description
TinyCA is a simple graphical userinterface written in Perl/Gtk to
manage a small CA (Certification Authority).  TinyCA works as a
frontend for openssl

Currently TinyCA supports the following features:

* Unlimited CAs possible
* Support for creating and managing SubCAs
* Creation and Revocation of x509 - S/MIME certificates
* PKCS#10 Requests can be imported and signed
* RSA and DSA keys can be generated and used
* ServerCertificates
  o Certificates can be exported as: PEM, DER, TXT and PKCS#12
  o Certificates may be used with e.g. Apache, Postfix, OpenLDAP,
    Cyrus, FreeS/WAN, OpenVPN, OpenSWAN, FreeRadius
* ClientCertificates
  o Certificates can be exported as: PEM, DER, TXT and PKCS#12
  o Certificates may be used with e.g. Netscape, Konqueror, Opera,
    Internet Explorer, Outlook (Express) and FreeS/WAN
* Certificate Revocation List
  o CRLs can be exported as: PEM, DER and TXT


%prep
%setup -q
rm -rf locale

sed -i -e 's!./\(lib\|templates\)!%pkgdatadir/\1!g;
           s!./locale/!%_datadir/locale!g' tinyca2


%build
cd po
for i in *.po; do
	base=${i%%.po}
	d=../locale/$base/LC_MESSAGES
	mkdir -p "$d"
	msgfmt "$i" -o "$d"/tinyca2.mo
done


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%pkgdatadir/{lib/GUI,templates},%_datadir,%_bindir}

cp -a locale $RPM_BUILD_ROOT%_datadir
install -p -m0755 tinyca2      $RPM_BUILD_ROOT%_bindir/
install -p -m0644 templates/*  $RPM_BUILD_ROOT%pkgdatadir/templates/
install -p -m0644 lib/*.pm     $RPM_BUILD_ROOT%pkgdatadir/lib/
install -p -m0644 lib/GUI/*.pm $RPM_BUILD_ROOT%pkgdatadir/lib/GUI/

desktop-file-install --vendor="fedora"				\
	--dir=$RPM_BUILD_ROOT%_datadir/applications		\
	tinyca2.desktop

%find_lang tinyca2


%clean
rm -rf $RPM_BUILD_ROOT


%files -f tinyca2.lang
%defattr(-,root,root,-)
%doc CHANGES
%_bindir/*
%_datadir/applications/*.desktop
%pkgdatadir


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.5-4
- fix license tag

* Sun Nov 12 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.7.5-3
- initial Fedora package (review #213600)
- removed the 'X-Fedora' category from the desktop file
- made __perl_* actions silent

* Thu Nov  2 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.7.5-2
- initial build

